import { BrowserModule } from '@angular/platform-browser';
import { Component } from '@angular/core';
import { DataService } from 'src/services/data/data.service';
import { Router } from '@angular/router';
import { Character } from 'src/interfaces/character';

@Component({
  selector: 'app-character-creator',
  templateUrl: './character-creator.component.html',
  styleUrls: ['./character-creator.component.scss'],
})
export class CharacterCreatorComponent {
  public constructor(public dataService: DataService, private Router: Router) {}

  public characterName: string = '';
  public characterClass: string = '';
  public characterRace?: string = '';
  public characterLevel: number = 1;
  public characterBackground?: string = '';

  public createCharacter(): void {
    const newCharacter: Character = {
      name: this.characterName,
      class: this.characterClass,
      level: this.characterLevel,
      race: this.characterRace,
      background: this.characterBackground,
    };
    this.dataService.addData('characters', newCharacter);
    // TODO: Animation, dass der Character erstellt wurde
    this.Router.navigate(['character/picker']);
    // Collection erstellen
  }
}
